import {
	WeaSearchGroup
} from 'ecCom';
import Item from './Item';

export default class Menus extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			menus
		} = this.props;

		return (
			<div>
				{
					menus.map((sg,index) => {
						const {title,MENUS} = sg;

						return (
							<WeaSearchGroup title={title} showGroup>
								<div className={`group ${index === 0 && 'g1'}`}>
									{
										MENUS.map(menu => {
											return <Item info={menu}/>
										})
									}
								</div>
							</WeaSearchGroup>
						)
					})
				}
			</div>
		);
	}
}